# partial_sum.h File Reference

## Detailed Description

Parallel implementation of std::partial_sum(), i. e. prefix sums. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file partial_sum.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_parallel

## Defines

- #define _GLIBCXX_PARALLEL_PARTIAL_SUM_H

## Functions

- template<typename InputIterator, typename OutputIterator, typename BinaryOperation> OutputIterator __gnu_parallel::parallel_partial_sum (InputIterator begin, InputIterator end, OutputIterator result, BinaryOperation bin_op)
- template<typename InputIterator, typename OutputIterator, typename BinaryOperation> OutputIterator __gnu_parallel::parallel_partial_sum_basecase (InputIterator begin, InputIterator end, OutputIterator result, BinaryOperation bin_op, typename std::iterator_traits< InputIterator >::value_type value)
- template<typename InputIterator, typename OutputIterator, typename BinaryOperation> OutputIterator __gnu_parallel::parallel_partial_sum_linear (InputIterator begin, InputIterator end, OutputIterator result, BinaryOperation bin_op, typename std::iterator_traits< InputIterator >::difference_type n)